(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     27096,        784]
NotebookOptionsPosition[     25242,        717]
NotebookOutlinePosition[     25686,        734]
CellTagsIndexPosition[     25643,        731]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"dir", "=", 
   RowBox[{"NotebookDirectory", "[", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.505489632292892*^9, 3.5054896398231783`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s1", ",", "v1", ",", "v2", ",", "l1"}], "}"}], " ", "=", 
   RowBox[{"Map", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"FileNameJoin", "[", 
       RowBox[{"{", 
        RowBox[{"dir", ",", "#"}], "}"}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<s1.root\>\"", ",", "\"\<v1.root\>\"", ",", "\"\<v2.root\>\"", ",", 
       "\"\<l1.root\>\""}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5054895186043205`*^9, 3.505489525150358*^9}, {
   3.505489555583962*^9, 3.5054896282777805`*^9}, 3.5062746851348033`*^9, {
   3.507555619875*^9, 3.507555620375*^9}}],

Cell[CellGroupData[{

Cell["Tests", "Section",
 CellChangeTimes->{{3.505488454219761*^9, 3.505488454750841*^9}}],

Cell[CellGroupData[{

Cell["scalar types", "Subsection",
 CellChangeTimes->{{3.5033398917290087`*^9, 3.503339893166371*^9}},
 CellID->299311783],

Cell[BoxData[{
 RowBox[{
  RowBox[{"si1", " ", "=", " ", 
   RowBox[{"Import", "[", 
    RowBox[{"s1", ",", "\"\<ROOT\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"se1", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "\"\<ScalarTree\>\"", ",", "\"\<Branches with scalar types\>\"", ",", 
      "\"\<TTree\>\""}], "}"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.505488367653721*^9, 3.505488412014521*^9}, {
  3.5054884613893414`*^9, 3.5054884643727612`*^9}, {3.505488578642472*^9, 
  3.505488590187056*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s1dat", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"s1", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ROOT\>\"", ",", "\"\<TTreeData\>\"", ",", "\"\<ScalarTree\>\""}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"si2", "=", 
   RowBox[{"Head", "/@", "s1dat"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"se2", "=", 
   RowBox[{"{", 
    RowBox[{
    "List", ",", "List", ",", "List", ",", "List", ",", "List", ",", "List", 
     ",", "List", ",", "List", ",", "List"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.505488429352721*^9, 3.505488446003641*^9}, {
  3.5054885808607817`*^9, 3.5054885927802916`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"si3", "=", "s1dat"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"se3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "5", ",", "9", ",", "13", ",", "17", ",", "21", ",", "25", 
       ",", "29", ",", "33", ",", "37"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "2147483650", ",", "2147483651", ",", "2147483652", ",", "2147483653", 
       ",", "2147483654", ",", "2147483655", ",", "2147483656", ",", 
       "2147483657", ",", "2147483658", ",", "2147483659"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "2.0999999046325684`", ",", "6.099999904632568`", ",", 
       "10.100000381469727`", ",", "14.100000381469727`", ",", 
       "18.100000381469727`", ",", "22.100000381469727`", ",", 
       "26.100000381469727`", ",", "30.100000381469727`", ",", 
       "34.099998474121094`", ",", "38.099998474121094`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "3.2`", ",", "7.2`", ",", "11.2`", ",", "15.2`", ",", "19.2`", ",", 
       "23.2`", ",", "27.2`", ",", "31.2`", ",", "35.2`", ",", "39.2`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<CharString\>\"", ",", "\"\<CharString\>\"", ",", 
       "\"\<CharString\>\"", ",", "\"\<CharString\>\"", ",", 
       "\"\<CharString\>\"", ",", "\"\<CharString\>\"", ",", 
       "\"\<CharString\>\"", ",", "\"\<CharString\>\"", ",", 
       "\"\<CharString\>\"", ",", "\"\<CharString\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "4", ",", "8", ",", "12", ",", "16", ",", "20", ",", "24", ",", "28", 
       ",", "32", ",", "36", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "32770", ",", "32771", ",", "32772", ",", "32773", ",", "32774", ",", 
       "32775", ",", "32776", ",", "32777", ",", "32778", ",", "32779"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "False", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
       "True", ",", "False", ",", "True", ",", "False", ",", "True"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
       "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
       "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
       "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
       "\"\<TestString\>\"", ",", "\"\<TestString\>\""}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5054884812736015`*^9, 3.5054885136397457`*^9}, {
   3.5054885827041655`*^9, 3.505488595186064*^9}, 3.505580050522026*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["vector<*> types", "Subsection",
 CellChangeTimes->{{3.503339878136564*^9, 3.50333988562022*^9}},
 CellID->547758437],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vi1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"v1", ",", " ", "\"\<ROOT\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ve1", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "\"\<VectorTree\>\"", ",", "\"\<Branches with vector types\>\"", ",", 
      "\"\<TTree\>\""}], "}"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.503331919674925*^9, {3.5033364517510185`*^9, 3.5033364700187483`*^9}, {
   3.503339811174243*^9, 3.503339818767264*^9}, 3.503417594944127*^9, 
   3.5034212952839007`*^9, {3.505488571440776*^9, 3.505488571987542*^9}, {
   3.5054886047622886`*^9, 3.505488621868269*^9}},
 CellID->131600913],

Cell[BoxData[{
 RowBox[{
  RowBox[{"v1dat", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"v1", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ROOT\>\"", ",", "\"\<TTreeData\>\"", ",", "\"\<VectorTree\>\""}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vi2", "=", 
   RowBox[{"Head", "/@", "v1dat"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ve2", "=", 
   RowBox[{"{", 
    RowBox[{
    "List", ",", "List", ",", "List", ",", "List", ",", "List", ",", "List", 
     ",", "List", ",", "List"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.50333192117529*^9, 3.5033319322404804`*^9}, {
  3.5033320013197765`*^9, 3.503332005477037*^9}, {3.5033320886378818`*^9, 
  3.5033320939673023`*^9}, {3.503421299752565*^9, 3.5034212999400616`*^9}, {
  3.5054886244927483`*^9, 3.50548863897425*^9}},
 CellID->42700940],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vi3", "=", "v1dat"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ve3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "19", ",", "25"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"31", ",", "37", ",", "43", ",", "49"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"55", ",", "61", ",", "67", ",", "73", ",", "79"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "85", ",", "91", ",", "97", ",", "103", ",", "109", ",", "115"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"14", ",", "20", ",", "26"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"32", ",", "38", ",", "44", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"56", ",", "62", ",", "68", ",", "74", ",", "80"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "86", ",", "92", ",", "98", ",", "104", ",", "110", ",", "116"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3.0999999046325684`", ",", "9.100000381469727`"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "15.100000381469727`", ",", "21.100000381469727`", ",", 
         "27.100000381469727`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "33.099998474121094`", ",", "39.099998474121094`", ",", 
         "45.099998474121094`", ",", "51.099998474121094`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "57.099998474121094`", ",", "63.099998474121094`", ",", 
         "69.0999984741211`", ",", "75.0999984741211`", ",", 
         "81.0999984741211`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "87.0999984741211`", ",", "93.0999984741211`", ",", 
         "99.0999984741211`", ",", "105.0999984741211`", ",", 
         "111.0999984741211`", ",", "117.0999984741211`"}], "}"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4.2`", ",", "10.2`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"16.2`", ",", "22.2`", ",", "28.2`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"34.2`", ",", "40.2`", ",", "46.2`", ",", "52.2`"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "58.2`", ",", "64.2`", ",", "70.2`", ",", "76.2`", ",", "82.2`"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "88.2`", ",", "94.2`", ",", "100.2`", ",", "106.2`", ",", "112.2`", 
         ",", "118.2`"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "11"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"17", ",", "23", ",", "29"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"35", ",", "41", ",", "47", ",", "53"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"59", ",", "65", ",", "71", ",", "77", ",", "83"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "89", ",", "95", ",", "101", ",", "107", ",", "113", ",", "119"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"6", ",", "12"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"18", ",", "24", ",", "30"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"36", ",", "42", ",", "48", ",", "54"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"60", ",", "66", ",", "72", ",", "78", ",", "84"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "90", ",", "96", ",", "102", ",", "108", ",", "114", ",", "120"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"True", ",", "False"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"True", ",", "False", ",", "True"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"False", ",", "True", ",", "False", ",", "True"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "False", ",", "True", ",", "False", ",", "True", ",", "False"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "True", ",", "False", ",", "True", ",", "False", ",", "True", ",", 
         "False"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<TestString\>\"", ",", "\"\<TestString\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\"", ",", "\"\<TestString\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\"", ",", "\"\<TestString\>\"", ",", 
         "\"\<TestString\>\"", ",", "\"\<TestString\>\""}], "}"}]}], "}"}]}], 
    "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5033320954832964`*^9, 3.5033320976556997`*^9}, {
  3.503421298002599*^9, 3.503421305533704*^9}, {3.5054886455510693`*^9, 
  3.5054886575174446`*^9}},
 CellID->311876671]
}, Closed]],

Cell[CellGroupData[{

Cell["vector<vector<*> > types", "Subsection",
 CellChangeTimes->{{3.503339878136564*^9, 3.50333988562022*^9}, {
  3.505488726269427*^9, 3.5054887305029616`*^9}},
 CellID->132110522],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vvi1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"v2", ",", "\"\<ROOT\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vve1", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "\"\<VVTree\>\"", ",", "\"\<Branches with vector<vector<*> >\>\"", ",", 
      "\"\<TTree\>\""}], "}"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.503331907875181*^9, 3.5033319117511234`*^9}, {
   3.503332121942855*^9, 3.503332122052256*^9}, {3.5034213221427603`*^9, 
   3.5034213226271257`*^9}, {3.503421704674589*^9, 3.5034217070497103`*^9}, {
   3.503423280838998*^9, 3.503423297338681*^9}, 3.5034234979910784`*^9, {
   3.5054878369387703`*^9, 3.5054878371418705`*^9}, {3.5054887462810807`*^9, 
   3.505488774259904*^9}},
 CellID->91989940],

Cell[BoxData[{
 RowBox[{
  RowBox[{"v2dat", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"v2", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ROOT\>\"", ",", "\"\<TTreeData\>\"", ",", "\"\<VVTree\>\""}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vvi2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Head", "[", "#", "]"}], ",", 
       RowBox[{"Length", "[", "#", "]"}]}], "}"}], "&"}], "/@", "v2dat"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"vve2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"List", ",", "5"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.503331919674925*^9, 3.5033321255531073`*^9, {3.503335477394305*^9, 
   3.5033355087498665`*^9}, 3.503335567773939*^9, 3.503335692321292*^9, 
   3.503336374617134*^9, 3.503336420731821*^9, {3.5033364519072866`*^9, 
   3.50333647025315*^9}, {3.5033398113773484`*^9, 3.503339818954746*^9}, 
   3.503417598569475*^9, 3.503421343345478*^9, {3.505488760575119*^9, 
   3.5054888013170395`*^9}},
 CellID->221009801],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vvi3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"#", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}], "&"}], "/@", "v2dat"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vve3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "469", ",", "475", ",", "481", ",", "487", ",", "493", ",", "499", ",", 
       "505", ",", "511", ",", "517", ",", "523", ",", "529", ",", "535", ",",
        "541"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "470", ",", "476", ",", "482", ",", "488", ",", "494", ",", "500", ",", 
       "506", ",", "512", ",", "518", ",", "524", ",", "530", ",", "536", ",",
        "542"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "471.1000061035156`", ",", "477.1000061035156`", ",", 
       "483.1000061035156`", ",", "489.1000061035156`", ",", 
       "495.1000061035156`", ",", "501.1000061035156`", ",", 
       "507.1000061035156`", ",", "513.0999755859375`", ",", 
       "519.0999755859375`", ",", "525.0999755859375`", ",", 
       "531.0999755859375`", ",", "537.0999755859375`", ",", 
       "543.0999755859375`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "472.2`", ",", "478.2`", ",", "484.2`", ",", "490.2`", ",", "496.2`", 
       ",", "502.2`", ",", "508.2`", ",", "514.2`", ",", "520.2`", ",", 
       "526.2`", ",", "532.2`", ",", "538.2`", ",", "544.2`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "473", ",", "479", ",", "485", ",", "491", ",", "497", ",", "503", ",", 
       "509", ",", "515", ",", "521", ",", "527", ",", "533", ",", "539", ",",
        "545"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "474", ",", "480", ",", "486", ",", "492", ",", "498", ",", "504", ",", 
       "510", ",", "516", ",", "522", ",", "528", ",", "534", ",", "540", ",",
        "546"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "True", ",", "False", ",", "True", ",", "False", ",", "True", ",", 
       "False", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
       "True", ",", "False", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\"", ",", "\"\<teststring\>\"", ",", 
       "\"\<teststring\>\""}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5034233968523955`*^9, 3.5034234196332083`*^9}, {
  3.5054888128777633`*^9, 3.505488828640967*^9}},
 CellID->139672608]
}, Closed]],

Cell[CellGroupData[{

Cell["list<*> types", "Subsection",
 CellChangeTimes->{{3.503339878136564*^9, 3.50333988562022*^9}, {
  3.505488726269427*^9, 3.5054887305029616`*^9}, {3.5054888641667595`*^9, 
  3.5054888684473515`*^9}},
 CellID->881490],

Cell[BoxData[{
 RowBox[{
  RowBox[{"li1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"l1", ",", "\"\<ROOT\>\""}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"le1", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "\"\<ListTree\>\"", ",", "\"\<Branches with list types\>\"", ",", 
      "\"\<TTree\>\""}], "}"}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"li2", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"l1", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ROOT\>\"", ",", "\"\<TTreeMetadata\>\"", ",", "\"\<ListTree\>\""}],
       "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"le2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<b1\>\"", ",", "\"\<b1\>\"", ",", "\"\<list<int>\>\"", ",", "5"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b2\>\"", ",", "\"\<b2\>\"", ",", "\"\<list<unsigned int>\>\"", ",",
        "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b3\>\"", ",", "\"\<b3\>\"", ",", "\"\<list<float>\>\"", ",", "5"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b4\>\"", ",", "\"\<b4\>\"", ",", "\"\<list<double>\>\"", ",", 
       "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b5\>\"", ",", "\"\<b5\>\"", ",", "\"\<list<char>\>\"", ",", "5"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b6\>\"", ",", "\"\<b6\>\"", ",", "\"\<list<short>\>\"", ",", "5"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b7\>\"", ",", "\"\<b7\>\"", ",", "\"\<list<unsigned short>\>\"", 
       ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b8\>\"", ",", "\"\<b8\>\"", ",", "\"\<list<bool>\>\"", ",", "5"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<b9\>\"", ",", "\"\<b9\>\"", ",", "\"\<list<string>\>\"", ",", 
       "5"}], "}"}]}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"li3", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"l1", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ROOT\>\"", ",", "\"\<TTreeData\>\"", ",", "\"\<ListTree\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<b1\>\"", ",", "\"\<b3\>\"", ",", "\"\<b4\>\""}], "}"}]}],
       "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"le3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "19", ",", "25"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"31", ",", "37", ",", "43", ",", "49"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"55", ",", "61", ",", "67", ",", "73", ",", "79"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "85", ",", "91", ",", "97", ",", "103", ",", "109", ",", "115"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3.0999999046325684`", ",", "9.100000381469727`"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "15.100000381469727`", ",", "21.100000381469727`", ",", 
         "27.100000381469727`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "33.099998474121094`", ",", "39.099998474121094`", ",", 
         "45.099998474121094`", ",", "51.099998474121094`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "57.099998474121094`", ",", "63.099998474121094`", ",", 
         "69.0999984741211`", ",", "75.0999984741211`", ",", 
         "81.0999984741211`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "87.0999984741211`", ",", "93.0999984741211`", ",", 
         "99.0999984741211`", ",", "105.0999984741211`", ",", 
         "111.0999984741211`", ",", "117.0999984741211`"}], "}"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4.2`", ",", "10.2`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"16.2`", ",", "22.2`", ",", "28.2`"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"34.2`", ",", "40.2`", ",", "46.2`", ",", "52.2`"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
        "58.2`", ",", "64.2`", ",", "70.2`", ",", "76.2`", ",", "82.2`"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "88.2`", ",", "94.2`", ",", "100.2`", ",", "106.2`", ",", "112.2`", 
         ",", "118.2`"}], "}"}]}], "}"}]}], "}"}]}], ";"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Stubbing", "Subsection",
 CellChangeTimes->{{3.503339878136564*^9, 3.50333988562022*^9}, {
  3.505488726269427*^9, 3.5054887305029616`*^9}, {3.5054888641667595`*^9, 
  3.5054888684473515`*^9}, {3.505489095771804*^9, 3.5054890968185186`*^9}},
 CellID->223364639],

Cell[BoxData[
 RowBox[{
  RowBox[{"items", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<si1\>\"", ",", "\"\<si2\>\"", ",", "\"\<si3\>\"", ",", "\"\<vi1\>\"",
      ",", "\"\<vi2\>\"", ",", "\"\<vi3\>\"", ",", "\"\<vvi1\>\"", ",", 
     "\"\<vvi2\>\"", ",", "\"\<vvi3\>\"", ",", "\"\<li1\>\"", ",", 
     "\"\<li2\>\"", ",", "\"\<li3\>\""}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.505489232580595*^9, 3.5054892336898136`*^9}, 
   3.505489712813834*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"results", "=", 
   RowBox[{"ToExpression", "/@", "items"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5054891066139584`*^9, 3.5054891659962215`*^9}, {
  3.5054892421417484`*^9, 3.5054892465317554`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expected", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"ToExpression", "[", 
      RowBox[{"StringReplace", "[", 
       RowBox[{"#", ",", " ", 
        RowBox[{"\"\<i\>\"", "\[Rule]", " ", "\"\<e\>\""}]}], "]"}], "]"}], 
     "&"}], "/@", "items"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5054891755729976`*^9, 3.505489180244215*^9}, {
  3.5054892489845347`*^9, 3.5054892916504016`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Test Results", "Section",
 CellChangeTimes->{{3.505488943373341*^9, 3.5054889450762043`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapThread", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SameQ", "[", 
     RowBox[{"#1", ",", " ", "#2"}], "]"}], "&"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"results", ",", " ", "expected"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5054893605625725`*^9, 3.50548938191894*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True"}], "}"}]], "Output",
 CellChangeTimes->{
  3.505489382387624*^9, 3.505489659242567*^9, {3.5054897141886578`*^9, 
   3.5054897267183037`*^9}, 3.5055800852097483`*^9, 3.5055801362882004`*^9, {
   3.5055829109096365`*^9, 3.5055829249575906`*^9}, 3.5062746844941783`*^9, {
   3.5063597228124466`*^9, 3.506359727812319*^9}, {3.5063608008745904`*^9, 
   3.5063608047806654`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1107, 553},
WindowMargins->{{72, Automatic}, {Automatic, 34}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 177, 4, 43, "Input"],
Cell[737, 26, 661, 17, 71, "Input"],
Cell[CellGroupData[{
Cell[1423, 47, 90, 1, 105, "Section"],
Cell[CellGroupData[{
Cell[1538, 52, 122, 2, 54, "Subsection",
 CellID->299311783],
Cell[1663, 56, 553, 15, 71, "Input"],
Cell[2219, 73, 702, 19, 98, "Input"],
Cell[2924, 94, 2580, 58, 422, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5541, 157, 122, 2, 81, "Subsection",
 CellID->547758437],
Cell[5666, 161, 693, 18, 1203, "Input",
 CellID->131600913],
Cell[6362, 181, 858, 22, 1669, "Input",
 CellID->42700940],
Cell[7223, 205, 5512, 150, 11818, "Input",
 CellID->311876671]
}, Closed]],
Cell[CellGroupData[{
Cell[12772, 360, 182, 3, 60, "Subsection",
 CellID->132110522],
Cell[12957, 365, 798, 19, 1203, "Input",
 CellID->91989940],
Cell[13758, 386, 1543, 45, 2125, "Input",
 CellID->221009801],
Cell[15304, 433, 2739, 63, 6742, "Input",
 CellID->139672608]
}, Closed]],
Cell[CellGroupData[{
Cell[18080, 501, 221, 4, 60, "Subsection",
 CellID->881490],
Cell[18304, 507, 351, 11, 1203, "Input"],
Cell[18658, 520, 1551, 48, 3051, "Input"],
Cell[20212, 570, 2499, 70, 6286, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[22748, 645, 267, 4, 60, "Subsection",
 CellID->223364639],
Cell[23018, 651, 460, 10, 1203, "Input"],
Cell[23481, 663, 236, 5, 729, "Input"],
Cell[23720, 670, 435, 11, 729, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24204, 687, 99, 1, 157, "Section"],
Cell[CellGroupData[{
Cell[24328, 692, 310, 8, 64, "Input"],
Cell[24641, 702, 573, 11, 63, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
